"{ Encoding: utf8 }"

"{ Package: 'stx:libbasic' }"

"{ NameSpace: CharacterEncoderImplementations }"

CharacterEncoder subclass:#NullEncoder
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Collections-Text-Encodings'
!

NullEncoder class instanceVariableNames:'mySingleInstance'

"
 No other class instance variables are inherited by this class.
"
!

!NullEncoder class methodsFor:'documentation'!

documentation
"
    A NullEncoder does nothing.
"
! !

!NullEncoder class methodsFor:'instance creation'!

new
    "singleton - there is only one"

    mySingleInstance isNil ifTrue:[
	mySingleInstance := self basicNew initialize.
    ].
    ^ mySingleInstance
! !

!NullEncoder class methodsFor:'private'!

flushSingletons
    mySingleInstance := nil.
    super flushSingletons

    "
     self flushSingletons
    "
! !

!NullEncoder methodsFor:'encoding & decoding'!

decode:aCode
    ^ aCode
!

decodeString:aString
    ^ aString
!

encode:aCode
    ^ aCode
!

encodeString:aString
    ^ aString
! !

!NullEncoder methodsFor:'queries'!

isNullEncoder
    ^ true
! !

!NullEncoder class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libbasic/Attic/Encoder_NullEncoder.st,v 1.1 2004-03-05 17:13:16 cg Exp $'
! !
