"{ Encoding: utf8 }"

"{ Package: 'stx:libbasic' }"

"{ NameSpace: CharacterEncoderImplementations }"

CharacterEncoder subclass:#TwoByteEncoder
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Collections-Text-Encodings'
!

TwoByteEncoder class instanceVariableNames:'mySingleInstance'

"
 No other class instance variables are inherited by this class.
"
!


!TwoByteEncoder class methodsFor:'instance creation'!

new
    "singleton - there is only one"

    mySingleInstance isNil ifTrue:[
	mySingleInstance := self basicNew initialize.
    ].
    ^ mySingleInstance
! !

!TwoByteEncoder class methodsFor:'private'!

flushSingletons
    mySingleInstance := nil.
    super flushSingletons

    "
     self flushSingletons
    "
! !

!TwoByteEncoder class methodsFor:'queries'!

maxCode
    ^ 16rFFFF 
!

minCode
    ^ 0 
! !

!TwoByteEncoder class methodsFor:'testing'!

isAbstract
    self == TwoByteEncoder ifTrue:[^ true].
    ^ super isAbstract
! !

!TwoByteEncoder methodsFor:'private'!

newString:size
    ^ TwoByteString uninitializedNew:size
! !

!TwoByteEncoder class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libbasic/CharacterEncoderImplementations__TwoByteEncoder.st,v 1.1 2004-03-05 17:12:27 cg Exp $'
! !
